Skip to main content
Get app profile by name
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the app profile, unique across the enterprise. Once app profile is created, name can’t be changed

Response

A successful response.

id
string

unique id for an App profile

name
string

user defined name for the App profile

title
string

user defined title for the app profile

appPolicies
object[]

list of app instance policies

networkPolicies
object[]

list of network instance policies

volumePolicies
object[]

list of volume instance policies

latestVersion
integer<int64>

latest version of app profile

status
enum<string>
default:APP_PROFILE_STATUS_TYPE_INACTIVE

status of the app profile

Available options:
APP_PROFILE_STATUS_TYPE_INACTIVE,
APP_PROFILE_STATUS_TYPE_ACTIVE